# Interface methods for submodule: KdTreeNode
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate



# Interface methods for class: KdTreeNode
class KdTreeNodeProxy():
	def IsTerminal(self) -> bool:
		""""""
		...

	def GetParameters(self, arg0: int, arg1: float) -> None:
		""""""
		...

	def Left(self):
		""""""
		...

	def Right(self):
		""""""
		...

	def Size(self) -> int:
		""""""
		...

	def GetWeightedCentroid(self, arg0: Sequence[float]) -> None:
		""""""
		...

	def GetCentroid(self, arg0: Sequence[float]) -> None:
		""""""
		...

	def GetInstanceIdentifier(self, arg0: int) -> int:
		""""""
		...

	def AddInstanceIdentifier(self, arg0: int) -> None:
		""""""
		...

